plotting.h File Reference
`#include <vector>`
`#include <armadillo>`
`#include <string>`
`#include <boost/make_shared.hpp>`
`#include "gnuplot-iostream.h"`

Go to the source code of this file.

## Macros

#define | USE_CXX (__cplusplus >= 201103)

## Functions

void | imagesc (const arma::mat &x)
void | plot (const arma::cx_mat &x, std::string title)
void | replot (const arma::cx_mat &x, std::string title)
template<typename T>
void | plot (const std::vector< T > &x)
template<typename T>
void | plot (const std::vector< T > &x, std::string title)
template<typename T>
void | replot (const std::vector< T > &x, std::string title)

## Variables

std::shared_ptr< Gnuplot > | current_figure

## Macro Definition Documentation

## USE_CXX

#define USE_CXX (__cplusplus >= 201103)

## Function Documentation

## imagesc()

void imagesc | ( | const arma::mat & | x | ) |

## plot() [1/3]

void plot | ( | const arma::cx_mat & | x,
|  | std::string | title )

References current_figure.

Referenced by plot(), and plot().

## plot() [2/3]

template<typename T>

void plot | ( | const std::vector< T > & | x | ) |

References plot().

## plot() [3/3]

template<typename T>

void plot | ( | const std::vector< T > & | x,
|  | std::string | title )

References plot().

## replot() [1/2]

void replot | ( | const arma::cx_mat & | x,
|  | std::string | title )

References current_figure.

Referenced by replot().

## replot() [2/2]

template<typename T>

void replot | ( | const std::vector< T > & | x,
|  | std::string | title )

References replot().

## Variable Documentation

## current_figure

std::shared_ptr<Gnuplot> current_figure

Referenced by plot(), and replot().